(*
$Id: teconst.pas 1.7 2002/03/19 08:26:33 tony Exp tony $
$Log: teconst.pas $
Revision 1.7  2002/03/19 08:26:33  tony
Reeformatted source code

Revision 1.6  2001/08/28 16:41:16  tony
Added string constants for help hints

Revision 1.5  2001/08/26 02:53:44  tony
Added help constants

Revision 1.4  2001/08/24 07:23:38  tony
Fixed command constants, cleaned up source

Revision 1.3  2001/08/23 07:03:48  tony
Added commands for repainting the desktop and changing colors

Revision 1.2  2001/08/16 21:45:23  tony
Changed build number to reflect current version

Revision 1.1  2001/08/16 21:36:38  tony
Cleaned up source code

Revision 1.0  2001/08/15 18:38:00  tony
Initial revision


        Tony's Full Screen Editor
        Version 1.00

        Copyright (C) AGE Software
        All rights reserved

        Purpose: Full screen multi-purpose editor.
        FILENAME: TEDCONST.PAS

        Contains all constants for TED
*)

unit TEConst;

interface

type
  TVersion = record
    Maj, Min : longint;
  end;
const
  RCSID : String = '$Id: teconst.pas 1.7 2002/03/19 08:26:33 tony Exp tony $';
  RCSRev : String = '$Revision: 1.7 $';
  { TED Consts }
  VERSION : TVersion = (Maj:1;Min:0);
  COPYRIGHT = 'Copyright (C) AGE Software 2001';
  CRLF      = #13#10;

  { TurboVision Constants for the editor }
  cmAbout        = 100;
  cmClipShow     = cmAbout + 1;
  cmHelp         = cmClipShow + 1;
  cmOptionsVideo = cmHelp + 1;
  cmRepaint      = cmOptionsVideo + 1;
  cmColors       = cmRepaint + 1;

  { Help constants for the editor }
  hcHintAbout    = 1000;
  hcAccessMenu   = $E000;                 { Accesory menu }
  hcRepaint      = hcAccessMenu + 1;
  hcFileMenu     = hcRepaint + 1;
  hcEditMenu     = hcFileMenu + 1;
  hcClipShow     = hcEditMenu + 1;
  hcSearchMenu   = hcClipShow + 1;
  hcFind         = hcSearchMenu + 1;
  hcReplace      = hcFind + 1;
  hcSearchAgain  = hcReplace + 1;
  hcOptionsMenu  = hcSearchAgain + 1;
  hcOptionsVideo = hcOptionsMenu + 1;
  hcColors       = hcOptionsVideo + 1;
  hcWindowMenu   = hcColors + 1;
  hcHelpMenu     = hcWindowMenu + 1;
  hcAbout        = hcHelpMenu + 1;

  { String Constants, for messages }

  sHintAbout     = 1;
  sAccessMenu    = sHintAbout + 1;
  sRepaint       = sAccessMenu + 1;
  sFileMenu      = sRepaint + 1;
  sEditMenu      = sFileMenu + 1;
  sClipShow      = sEditMenu + 1;
  sSearchMenu    = sClipShow + 1;
  sFind          = sSearchMenu + 1;
  sReplace       = sFind + 1;
  sSearchAgain   = sReplace + 1;
  sOptionsMenu   = sSearchAgain + 1;
  sOptionsVideo  = sOptionsMenu + 1;
  sColors        = sOptionsVideo + 1;
  sWindowMenu    = sColors + 1;
  sHelpMenu      = sWindowMenu + 1;
  sAbout         = sHelpMenu + 1;

implementation


end.
